Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.common
Interface JasperServerConst

All Known Implementing Classes:
  JasperServerConstImpl

    public interface JasperServerConst

Version:
  $Id: JdbcDataSourceService.java 2331 2006-03-08 15:06:12Z lucian $
Author:
  aztec

Field Summary
`static java.lang.String` | `DATATYPE_REQUEST_PARAM`
`static java.lang.String` | `FIELD_CHOICE_CONT_REPO`
`static java.lang.String` | `FIELD_CHOICE_FILE_SYSTEM`
`static java.lang.String` | `FIELD_CHOICE_LOCAL`
`static java.lang.String` | `FIELD_CHOICE_NONE`
`static java.lang.String` | `FIELD_FILE_UPLOAD`
`static java.lang.String` | `FILE_JASPER_EXTN`
`static java.lang.String` | `FILE_JRXML_EXTN`
`static java.lang.String` | `INPUTCONTROL_REQUEST_PARAM`
`static java.lang.String` | `JASPER_REPORT_CONTENT`
`static java.lang.String` | `JASPER_SERVER_DATASOURCE`
`static java.lang.String` | `JASPER_SERVER_DB_DRIVER`
`static java.lang.String` | `JASPER_SERVER_DB_PASSWORD`
`static java.lang.String` | `JASPER_SERVER_DB_URL`
`static java.lang.String` | `JASPER_SERVER_DB_USER`
`static java.lang.String` | `JASPER_SERVER_REPOSITORY_PATH`
`static int` | `JRXML_THRESHOLD_SIZE`
`static java.lang.String` | `LISTOFVALUES_REQUEST_PARAM`
`static int` | `MAX_LENGTH_DESC`
`static java.lang.Integer` | `MAX_LENGTH_DESC_W`
`static int` | `MAX_LENGTH_LABEL`
`static java.lang.Integer` | `MAX_LENGTH_LABEL_W`
`static int` | `MAX_LENGTH_NAME`
`static java.lang.Integer` | `MAX_LENGTH_NAME_W`
`static java.lang.String` | `OPTION_NO`
`static java.lang.String` | `OPTION_YES`
`static java.lang.String` | `REPORT_REQUEST_PARAM`
`static java.lang.String` | `REQUEST_PARAMETER_EDIT_RESOURCE_URI`
`static java.lang.String` | `TYPE_BOOLEAN`
`static java.lang.String` | `TYPE_DATASRC_BEAN`
`static java.lang.String` | `TYPE_DATASRC_CUSTOM`
`static java.lang.String` | `TYPE_DATASRC_JDBC`
`static java.lang.String` | `TYPE_DATASRC_JNDI`
`static java.lang.String` | `TYPE_DATE`
`static java.lang.String` | `TYPE_DATE_TIME`
`static java.lang.String` | `TYPE_MULTI_SELECT_LIST_OF_VALUES`
`static java.lang.String` | `TYPE_MULTI_SELECT_QUERY`
`static java.lang.String` | `TYPE_MULTI_VALUE`
`static java.lang.String` | `TYPE_NUMBER`
`static java.lang.String` | `TYPE_RSRC_ACCESS_GRANT_SCHEMA`
`static java.lang.String` | `TYPE_RSRC_CLASS_JAR`
`static java.lang.String` | `TYPE_RSRC_FONT`
`static java.lang.String` | `TYPE_RSRC_IMAGE`
`static java.lang.String` | `TYPE_RSRC_OLAP_SCHEMA`
`static java.lang.String` | `TYPE_RSRC_QUERY`
`static java.lang.String` | `TYPE_RSRC_RESOURCE_BUNDLE`
`static java.lang.String` | `TYPE_RSRC_STYLE_TEMPLATE`
`static java.lang.String` | `TYPE_RSRC_SUB_REPORT`
`static java.lang.String` | `TYPE_SINGLE_SELECT_LIST_OF_VALUES`
`static java.lang.String` | `TYPE_SINGLE_SELECT_QUERY`
`static java.lang.String` | `TYPE_SINGLE_VALUE`
`static java.lang.String` | `TYPE_TEXT`
`static java.lang.String` | `UPLOADED_FILE_EXT`
`static java.lang.String` | `UPLOADED_FILE_NAME`
`static java.lang.String` | `USER_LOCALE_SESSION_ATTR`
`static java.lang.String` | `USER_TIMEZONE_SESSION_ATTR`

Field Detail

### JASPER_SERVER_REPOSITORY_PATH

    static final java.lang.String JASPER_SERVER_REPOSITORY_PATH

See Also:
  Constant Field Values

### JASPER_SERVER_DATASOURCE

    static final java.lang.String JASPER_SERVER_DATASOURCE

See Also:
  Constant Field Values

### JASPER_SERVER_DB_DRIVER

    static final java.lang.String JASPER_SERVER_DB_DRIVER

See Also:
  Constant Field Values

### JASPER_SERVER_DB_URL

    static final java.lang.String JASPER_SERVER_DB_URL

See Also:
  Constant Field Values

### JASPER_REPORT_CONTENT

    static final java.lang.String JASPER_REPORT_CONTENT

See Also:
  Constant Field Values

### JASPER_SERVER_DB_USER

    static final java.lang.String JASPER_SERVER_DB_USER

See Also:
  Constant Field Values

### JASPER_SERVER_DB_PASSWORD

    static final java.lang.String JASPER_SERVER_DB_PASSWORD

See Also:
  Constant Field Values

### REPORT_REQUEST_PARAM

    static final java.lang.String REPORT_REQUEST_PARAM

See Also:
  Constant Field Values

### DATATYPE_REQUEST_PARAM

    static final java.lang.String DATATYPE_REQUEST_PARAM

See Also:
  Constant Field Values

### INPUTCONTROL_REQUEST_PARAM

    static final java.lang.String INPUTCONTROL_REQUEST_PARAM

See Also:
  Constant Field Values

### LISTOFVALUES_REQUEST_PARAM

    static final java.lang.String LISTOFVALUES_REQUEST_PARAM

See Also:
  Constant Field Values

### FILE_JRXML_EXTN

    static final java.lang.String FILE_JRXML_EXTN

See Also:
  Constant Field Values

### FILE_JASPER_EXTN

    static final java.lang.String FILE_JASPER_EXTN

See Also:
  Constant Field Values

### JRXML_THRESHOLD_SIZE

    static final int JRXML_THRESHOLD_SIZE

See Also:
  Constant Field Values

### FIELD_CHOICE_FILE_SYSTEM

    static final java.lang.String FIELD_CHOICE_FILE_SYSTEM

See Also:
  Constant Field Values

### FIELD_CHOICE_CONT_REPO

    static final java.lang.String FIELD_CHOICE_CONT_REPO

See Also:
  Constant Field Values

### FIELD_CHOICE_LOCAL

    static final java.lang.String FIELD_CHOICE_LOCAL

See Also:
  Constant Field Values

### FIELD_CHOICE_NONE

    static final java.lang.String FIELD_CHOICE_NONE

See Also:
  Constant Field Values

### TYPE_DATASRC_JNDI

    static final java.lang.String TYPE_DATASRC_JNDI

See Also:
  Constant Field Values

### TYPE_DATASRC_JDBC

    static final java.lang.String TYPE_DATASRC_JDBC

See Also:
  Constant Field Values

### TYPE_DATASRC_BEAN

    static final java.lang.String TYPE_DATASRC_BEAN

See Also:
  Constant Field Values

### TYPE_DATASRC_CUSTOM

    static final java.lang.String TYPE_DATASRC_CUSTOM

See Also:
  Constant Field Values

### TYPE_RSRC_IMAGE

    static final java.lang.String TYPE_RSRC_IMAGE

See Also:
  Constant Field Values

### TYPE_RSRC_FONT

    static final java.lang.String TYPE_RSRC_FONT

See Also:
  Constant Field Values

### TYPE_RSRC_SUB_REPORT

    static final java.lang.String TYPE_RSRC_SUB_REPORT

See Also:
  Constant Field Values

### TYPE_RSRC_CLASS_JAR

    static final java.lang.String TYPE_RSRC_CLASS_JAR

See Also:
  Constant Field Values

### TYPE_RSRC_RESOURCE_BUNDLE

    static final java.lang.String TYPE_RSRC_RESOURCE_BUNDLE

See Also:
  Constant Field Values

### TYPE_RSRC_OLAP_SCHEMA

    static final java.lang.String TYPE_RSRC_OLAP_SCHEMA

See Also:
  Constant Field Values

### TYPE_RSRC_ACCESS_GRANT_SCHEMA

    static final java.lang.String TYPE_RSRC_ACCESS_GRANT_SCHEMA

See Also:
  Constant Field Values

### TYPE_RSRC_STYLE_TEMPLATE

    static final java.lang.String TYPE_RSRC_STYLE_TEMPLATE

See Also:
  Constant Field Values

### TYPE_RSRC_QUERY

    static final java.lang.String TYPE_RSRC_QUERY

See Also:
  Constant Field Values

### OPTION_YES

    static final java.lang.String OPTION_YES

See Also:
  Constant Field Values

### OPTION_NO

    static final java.lang.String OPTION_NO

See Also:
  Constant Field Values

### TYPE_BOOLEAN

    static final java.lang.String TYPE_BOOLEAN

See Also:
  Constant Field Values

### TYPE_SINGLE_VALUE

    static final java.lang.String TYPE_SINGLE_VALUE

See Also:
  Constant Field Values

### TYPE_SINGLE_SELECT_LIST_OF_VALUES

    static final java.lang.String TYPE_SINGLE_SELECT_LIST_OF_VALUES

See Also:
  Constant Field Values

### TYPE_SINGLE_SELECT_QUERY

    static final java.lang.String TYPE_SINGLE_SELECT_QUERY

See Also:
  Constant Field Values

### TYPE_MULTI_VALUE

    static final java.lang.String TYPE_MULTI_VALUE

See Also:
  Constant Field Values

### TYPE_MULTI_SELECT_LIST_OF_VALUES

    static final java.lang.String TYPE_MULTI_SELECT_LIST_OF_VALUES

See Also:
  Constant Field Values

### TYPE_MULTI_SELECT_QUERY

    static final java.lang.String TYPE_MULTI_SELECT_QUERY

See Also:
  Constant Field Values

### TYPE_TEXT

    static final java.lang.String TYPE_TEXT

See Also:
  Constant Field Values

### TYPE_NUMBER

    static final java.lang.String TYPE_NUMBER

See Also:
  Constant Field Values

### TYPE_DATE

    static final java.lang.String TYPE_DATE

See Also:
  Constant Field Values

### TYPE_DATE_TIME

    static final java.lang.String TYPE_DATE_TIME

See Also:
  Constant Field Values

### UPLOADED_FILE_NAME

    static final java.lang.String UPLOADED_FILE_NAME

See Also:
  Constant Field Values

### UPLOADED_FILE_EXT

    static final java.lang.String UPLOADED_FILE_EXT

See Also:
  Constant Field Values

### FIELD_FILE_UPLOAD

    static final java.lang.String FIELD_FILE_UPLOAD

See Also:
  Constant Field Values

### REQUEST_PARAMETER_EDIT_RESOURCE_URI

    static final java.lang.String REQUEST_PARAMETER_EDIT_RESOURCE_URI

See Also:
  Constant Field Values

### MAX_LENGTH_NAME

    static final int MAX_LENGTH_NAME

See Also:
  Constant Field Values

### MAX_LENGTH_LABEL

    static final int MAX_LENGTH_LABEL

See Also:
  Constant Field Values

### MAX_LENGTH_DESC

    static final int MAX_LENGTH_DESC

See Also:
  Constant Field Values

### MAX_LENGTH_NAME_W

    static final java.lang.Integer MAX_LENGTH_NAME_W

### MAX_LENGTH_LABEL_W

    static final java.lang.Integer MAX_LENGTH_LABEL_W

### MAX_LENGTH_DESC_W

    static final java.lang.Integer MAX_LENGTH_DESC_W

### USER_LOCALE_SESSION_ATTR

    static final java.lang.String USER_LOCALE_SESSION_ATTR

See Also:
  Constant Field Values

### USER_TIMEZONE_SESSION_ATTR

    static final java.lang.String USER_TIMEZONE_SESSION_ATTR

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.